From 260a9304f6c74272bd3c396f6cca685657b4aff1 Mon Sep 17 00:00:00 2001
From: Radu Popescu <radu.popescu@epfl.ch>
Date: Sun, 18 Jan 2015 17:24:41 +0100
Subject: [PATCH] Compilation fix for zmqpp-client on Mac OS X 10.10

These changes were needed to compile zmqpp-client on a Mac running OS X 10.10.
zmqpp was configured using the CMake scripts and compiled with Xcode 6.1.
---
 src/client/main.cpp    | 8 ++++++--
 src/client/options.cpp | 5 +++++
 2 files changed, 11 insertions(+), 2 deletions(-)

diff --git a/src/client/main.cpp b/src/client/main.cpp
index b049e9c..17ff539 100644
--- a/src/client/main.cpp
+++ b/src/client/main.cpp
@@ -42,7 +42,11 @@ int main(int argc, char const* argv[])
 	if( options.show_usage || options.show_help )
 	{
 		show_usage( std::cout, BUILD_CLIENT_NAME );
-		if( options.show_help ) { std::cout << std::endl << show_help( std::cout ); }
+		if( options.show_help )
+		{
+			std::cout << std::endl;
+			show_help( std::cout );
+		}
 
 		return EXIT_FAILURE;
 	}
@@ -226,7 +230,7 @@ int main(int argc, char const* argv[])
 				while( result && (length = strlen( buffer.data() ) - 1) > 0 ) // trim newline from gets
 				{
 					buffer[length] = 0;
-					message.add( buffer.data(), length );
+					message.add( buffer.data(), static_cast<uint64_t>(length) );
 
 					if( options.singlepart ) { break; }
 
diff --git a/src/client/options.cpp b/src/client/options.cpp
index 5d4e042..2e999b1 100644
--- a/src/client/options.cpp
+++ b/src/client/options.cpp
@@ -24,6 +24,11 @@
 
 #include "options.hpp"
 
+#ifndef BUILD_CLIENT_NAME
+#define BUILD_CLIENT_NAME "zmqpp"
+#endif
+
+
 boost::program_options::options_description connection_options()
 {
 	boost::program_options::options_description options("Connection Options");
